Skip to main content

License

getAllLicenses

Returns all licenses registered in Axidian Access.

POST /api/v5/license/getAllLicenses
Request object
{  
"AccessToken": "string",
"ApplicationId": "string"
}

in the request object:

  • AccessToken — required parameter. Token of the administrator on whose behalf the API request is performed.
  • ApplicationId — required parameter. String identifier of the Axidian Access module.
Response object
{  
"LicenseUid": "string",
"InstanceId": "string",
"Type": "string",
"Amount": 0,
"BeginDate": "2022-10-26T08:43:22.406Z",
"EndDate": "2022-10-26T08:43:22.406Z",
"Description": "string",
"Issuer": "string",
"IssuedTo": "string",
"IssueDate": "2022-10-26T08:43:22.406Z",
"Id": "00000000-0000-0000-0000-000000000000",
"ControlValue": "string"
}

getCatalogObjectLicenses

Returns the registered licenses for a specific catalog object.

POST /api/v5/license/getCatalogObjectLicenses
Request object
{  
"ObjectId": "string",
"AccessToken": "string",
"ApplicationId": "string"
}

in the request object:

  • ObjectId — identifier of the catalog for which the registered licenses will be retrieved.
  • AccessToken — required parameter. Token of the administrator on whose behalf the API request is performed.
  • ApplicationId — required parameter. String identifier of the Axidian Access module.
Response object
{  
"ApplicationId": "string",
"CatalogObjectId": "string",
"PolicyId": "00000000-0000-0000-0000-000000000000"
}

getAcquiredLicenseCount

Returns the number of used licenses of the specified type in the selected policy.

POST /api/v6/license/getAcquiredLicenseCount
Request object
{  
"LicenseType": "string",
"PolicyId": "00000000-0000-0000-0000-000000000000",
"AccessToken": "string",
"ApplicationId": "string"
}

in the request object:

  • LicenseType — type of license.
  • PolicyId — policy identifier. The identifier can be obtained from the policy URL in the Management Console or using the /api/v6/policy/getAll method.
  • AccessToken — required parameter. Token of the administrator on whose behalf the API request is performed.
  • ApplicationId — required parameter. String identifier of the Axidian Access module.
Response object
"0"